Skip to content
POST
/user/get-login-info
curl --request POST \
--url https://example.com/user/get-login-info \
--header 'Content-Type: application/json' \
--data '{ "id_token": "example" }'
Media type application/json
GetLoginInfoRequest
object
id_token
required
Id Token
string
Example generated
{
"id_token": "example"
}

Successful Response

Media type application/json
GetLoginInfoResponse
object
user_id
required
User Id
string
user_email
required
User Email
string
allowed_tenants
required
Allowed Tenants
Array<object>
TenantDescription
object
tenant_id
required
Tenant Id
string
owner
required
TenantOwner
object
namespace
required
Namespace
string
Allowed values: user team organization static-configuration dcso-organization
owner_id
required
Owner Id
string
display_name
Any of:
string
name
required
Name
string
icon_url
required
Icon Url
string
Example
{
"allowed_tenants": [
{
"owner": {
"namespace": "user"
}
}
]
}

{"detail": "Invalid API Key"}

{"detail": "User not found"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}